### Method

# Ide Object foreach

#### Declaration

    void
    ide_object_foreach (
      IdeObject* self,
      GFunc callback,
      gpointer user_data
    )

#### Description

Calls `callback` for each child of `self`.

`callback` is allowed to remove children from `self`, but only as long as they are the child passed to callback (or child itself). See `g_queue_foreach()` for more details about what is allowed.

Available since: | 3.32

#### Parameters

`callback` | `GFunc`
| A `GFunc` to call for each child.
`user_data` | `gpointer`
| Closure data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.